summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
...
* net-misc/curl: remove unused patchMichael Mair-Keimberger2018-01-131-22/+0
|
* net-libs/libmicrohttpd: remove unused patchMichael Mair-Keimberger2018-01-131-21/+0
| | | | Closes: https://github.com/gentoo/gentoo/pull/6638
* media-plugins/gkrellmpc: remove unused patchMichael Mair-Keimberger2018-01-131-152/+0
| | | | Closes: https://github.com/gentoo/gentoo/pull/6770
* dev-python/python3-openid: remove unused patchMichael Mair-Keimberger2018-01-131-32/+0
| | | | Closes: https://github.com/gentoo/gentoo/pull/6780
* net-misc/electrum: remove unused patchMichael Mair-Keimberger2018-01-131-15/+0
| | | | Closes: https://github.com/gentoo/gentoo/pull/6840
* app-crypt/eid-mw: remove unused patchMichael Mair-Keimberger2018-01-131-74/+0
| | | | Closes: https://github.com/gentoo/gentoo/pull/6853
* games-strategy/colobot: new packagesoredake2018-01-138-0/+258
| | | | Closes: https://github.com/gentoo/gentoo/pull/6756
* games-emulation/ppsspp: remove unneded depssoredake2018-01-133-10/+197
| | | | Closes: https://github.com/gentoo/gentoo/pull/6806
* games-board/spider: use xmkmf instead of calling imake directlyAlexander Tsoy2018-01-131-3/+1
| | | | | Closes: https://bugs.gentoo.org/640686 Closes: https://github.com/gentoo/gentoo/pull/6816
* games-rpg/baldurs-gate-ee: updated installerDiogo Pereira2018-01-132-3/+3
| | | | | | | | The GOG installer was updated, but the game version remains the same. Closes: https://bugs.gentoo.org/642882 Package-Manager: Portage-2.3.13, Repoman-2.3.3 Closes: https://github.com/gentoo/gentoo/pull/6834
* games-emulation/vbam: add 2.0.1 with upstream's suggested patchesNado2018-01-134-0/+280
| | | | | | | See https://github.com/visualboyadvance-m/visualboyadvance-m/releases/tag/v2.0.1 Package-Manager: Portage-2.3.19, Repoman-2.3.6
* games-emulation/vbam: 9999 update to new requirements from upstreamNado2018-01-131-19/+12
| | | | | | | | | | | * switch from fdo-mime to xdg-utils * add missing REQUIRED_USE constraints * remove gtk port as it is no longer supported by upstream * remove cairo support for the same reason Closes: https://bugs.gentoo.org/638300 Package-Manager: Portage-2.3.19, Repoman-2.3.6 Closes: https://github.com/gentoo/gentoo/pull/6847
* dev-libs/sway: drop old 0.14.0 & 0.15.0Mykyta Holubakha2018-01-135-550/+8
| | | | remove unused patch
* dev-libs/sway: version bump to 0.15.1Mykyta Holubakha2018-01-132-0/+85
|
* dev-libs/sway: switch to 0.15 branch in -9999Mykyta Holubakha2018-01-131-2/+1
| | | | Closes: https://github.com/gentoo/gentoo/pull/6673
* profiles.desc: Move arm64 13.0 profiles back to exp, as we have 17.0 in dev nowMart Raudsepp2018-01-141-2/+2
| | | | No need to CI check 13.0, our latest stage3 is 17.0 based already.
* profiles/package.mask: remove obsolete app-arch/defluff entryMikle Kolyada2018-01-141-6/+0
|
* media-video/vcdgear: Update Manifest hashes.Ulrich Müller2018-01-131-1/+1
| | | | Closes: https://bugs.gentoo.org/642896
* net-p2p/transmission: backport rpc host checkMike Gilbert2018-01-132-0/+467
| | | | | Bug: https://bugs.gentoo.org/644406 Package-Manager: Portage-2.3.19_p11, Repoman-2.3.6_p45
* app-arch/defluff: remove last-rited packageMikle Kolyada2018-01-143-45/+0
| | | | Closes: https://bugs.gentoo.org/640508
* sys-libs/glibc: Various cleanups. Work in progress.Andreas K. Hüttel2018-01-131-65/+30
| | | | Package-Manager: Portage-2.3.19, Repoman-2.3.6
* app-editors/xemacs: Add berkdb dependency to gdbmMats Lidell2018-01-131-2/+2
| | | | | bug: https://bugs.gentoo.org/643678 Package-Manager: Portage-2.3.13, Repoman-2.3.3
* sys-apps/sandbox: stable 2.12 for hppa/ia64/ppc/ppc64, bug #644300Sergei Trofimovich2018-01-131-1/+1
| | | | | Package-Manager: Portage-2.3.19, Repoman-2.3.6 RepoMan-Options: --include-arches="hppa ia64 ppc ppc64"
* www-client/chromium: beta channel bump (64.0.3282.85)Mike Gilbert2018-01-132-5/+10
| | | | Package-Manager: Portage-2.3.19_p11, Repoman-2.3.6_p45
* app-admin/puppet-agent: bump 5.3.3 to r2 to use stretchMatthew Thode2018-01-132-3/+3
| | | | Package-Manager: Portage-2.3.14, Repoman-2.3.6
* media-gfx/graphviz: stable 2.40.1-r1 for ia64, bug #530736Sergei Trofimovich2018-01-131-1/+1
| | | | | Package-Manager: Portage-2.3.19, Repoman-2.3.6 RepoMan-Options: --include-arches="ia64"
* net-print/kyocera-1x2x-mfp-driver: [QA] IUSE default for +l10n_en.Ulrich Müller2018-01-131-2/+2
| | | | | | Otherwise REQUIRED_USE will fail with default (empty) L10N. Package-Manager: Portage-2.3.19, Repoman-2.3.6
* app-misc/mc: stable 4.8.20-r1 for sparc, bug #644450Rolf Eike Beer2018-01-131-2/+2
| | | | | Package-Manager: Portage-2.3.13, Repoman-2.3.3 RepoMan-Options: --include-arches="sparc"
* sys-block/thin-provisioning-tools: stable 0.7.0 for hppa, bug #619126Rolf Eike Beer2018-01-131-2/+2
| | | | | Package-Manager: Portage-2.3.13, Repoman-2.3.3 RepoMan-Options: --include-arches="hppa"
* sci-biology/repeatmasker-libraries: Update Manifest hashes.Ulrich Müller2018-01-131-1/+1
| | | | Bug: https://bugs.gentoo.org/642906
* sys-apps/util-linux: block older s390-tools w/chmem & lsmemMike Frysinger2018-01-133-3/+6
|
* virtual/libelf: mark 3 m68k/s390/sh stableMike Frysinger2018-01-131-1/+1
|
* app-office/kraft: Drop 0.80_beta3Andreas Sturmlechner2018-01-132-50/+0
| | | | Package-Manager: Portage-2.3.19, Repoman-2.3.6
* app-office/kraft: 0.80_beta5 version bumpAndreas Sturmlechner2018-01-132-0/+50
| | | | Package-Manager: Portage-2.3.19, Repoman-2.3.6
* profiles/thirpartymirrors: Modify hackage mirrors for #644382hololeap2018-01-131-1/+1
| | | | | | | | | | | | | | The hackport mirrors in profiles/thirdpartymirrors have two problems: 1. `hackage.haskell.org` supports HTTPS and so this URL should be switched to `https://hackage.haskell.org/` 2. The second mirror is currently redirecting all requests to `http://hdiff.luite.com/`. `hdiff.luite.com` does not have working HTTPS and so this second mirror should be removed as it misleads devs into thinking this mirror will provide encryption. Closes: https://bugs.gentoo.org/644382 Closes: https://github.com/gentoo/gentoo/pull/6850
* games-roguelike/FTL: Update Manifest hashes.Ulrich Müller2018-01-131-1/+1
| | | | Closes: https://bugs.gentoo.org/642878
* media-plugins/mediastreamer-silk: Update Manifest hashes.Ulrich Müller2018-01-131-2/+2
| | | | Closes: https://bugs.gentoo.org/642892
* media-sound/ventrilo-server-bin: Update Manifest hashes.Ulrich Müller2018-01-131-2/+2
| | | | Closes: https://bugs.gentoo.org/642894
* media-libs/vips: Update Manifest hashes.Ulrich Müller2018-01-131-1/+1
| | | | Closes: https://bugs.gentoo.org/642890
* app-emulation/free42: Bumps version to 2.0.10Chema Alonso Josa2018-01-134-0/+120
| | | | Package-Manager: Portage-2.3.13, Repoman-2.3.3
* profiles: consolidate Oracle unmask entries in arch/amd64/use.mask.Michael Orlitzky2018-01-131-9/+6
| | | | | | | | | There were two separate blocks in arch/amd64/use.mask unmasking flags pertaining to the Oracle database stuff. One of them had an erroneous (outdated) comment. This commit combines them both into one block at the top of the file, and drops the obsolete comment about PHP. Closes: https://bugs.gentoo.org/604990
* dev-python/oslotest: only install man file if USE=docMatthew Thode2018-01-131-3/+4
| | | | | Fixes: 644476 Package-Manager: Portage-2.3.14, Repoman-2.3.6
* dev-vcs/git: set PERL_PATH variable.Patrice Clement2018-01-138-34/+11
| | | | | | | | | | | The rational for this change is that git on Gentoo/FreeBSD doesn't build properly when this variable is unset. After chatting to floppym on the gentoo-dev channel, here's what he found out in git-instaweb's Makefile: Define PERL_PATH to the path of your Perl binary (usually /usr/bin/perl). Package-Manager: Portage-2.3.13, Repoman-2.3.4 Closes: https://github.com/gentoo/gentoo/pull/6849
* media-gfx/kuickshow: Add implicit missing DEPENDsAndreas Sturmlechner2018-01-131-1/+8
| | | | | Bug: https://bugs.gentoo.org/632024 Package-Manager: Portage-2.3.19, Repoman-2.3.6
* media-gfx/kuickshow: Fix desktop fileAndreas Sturmlechner2018-01-132-0/+13
| | | | | Bug: https://bugs.gentoo.org/632024 Package-Manager: Portage-2.3.19, Repoman-2.3.6
* media-gfx/kuickshow: Drop obsolete patchAndreas Sturmlechner2018-01-131-15/+0
| | | | Package-Manager: Portage-2.3.19, Repoman-2.3.6
* sys-apps/systemd: grab backports from v236-stable branchMike Gilbert2018-01-132-0/+438
| | | | Package-Manager: Portage-2.3.19_p11, Repoman-2.3.6_p45
* media-gfx/kuickshow: KDE_DOC_DIRS -> KDE_PO_DIRSAndreas Sturmlechner2018-01-131-1/+1
| | | | | | | | | | KDE_DOC_DIRS from old kde4*.eclass does not exist in kde5.eclass. In modern KDE release tarballs, translated handbook files are merged inside po/$l10n directories. Since they are separate in this case, we can make use of a recent change in kde5.eclass to provide alternative po dir locations and have auto LINGUAS filtering. Package-Manager: Portage-2.3.19, Repoman-2.3.6
* kde5.eclass: Cleanup obsolete blockerAndreas Sturmlechner2018-01-131-15/+8
|
* kde5.eclass: Add KDE_PO_DIRSAndreas Sturmlechner2018-01-131-8/+13
|